# Uses of Class
org.apache.commons.fileupload2.core.DiskFileItemFactory

Packages that use DiskFileItemFactory
Package
Description
org.apache.commons.fileupload2.core
A component for handling HTML file uploads as specified by RFC 1867.
org.apache.commons.fileupload2.jakarta.servlet6
An implementation of `AbstractFileUpload` for use in servlets conforming to the namespace `jakarta.servlet`.

## Uses of DiskFileItemFactory in org.apache.commons.fileupload2.core

Subclasses with type arguments of type DiskFileItemFactory in org.apache.commons.fileupload2.core
Modifier and Type
Class
Description
`static class`
`DiskFileItemFactory.Builder`
Builds a new `DiskFileItemFactory` instance.
Methods in org.apache.commons.fileupload2.core that return DiskFileItemFactory
Modifier and Type
Method
Description
`DiskFileItemFactory`
DiskFileItemFactory.Builder.`get()`
Constructs a new instance.

## Uses of DiskFileItemFactory in org.apache.commons.fileupload2.jakarta.servlet6

Subclasses with type arguments of type DiskFileItemFactory in org.apache.commons.fileupload2.jakarta.servlet6
Modifier and Type
Class
Description
`class`
`JakartaServletDiskFileUpload`
A JakartaServletFileUpload for `DiskFileItem` and `DiskFileItemFactory`.
Constructors in org.apache.commons.fileupload2.jakarta.servlet6 with parameters of type DiskFileItemFactory
Modifier
Constructor
Description
``
`JakartaServletDiskFileUpload(DiskFileItemFactory fileItemFactory)`
Constructs a new instance.